[Scipy-tickets] [SciPy] #1847: mathieu_modsem2 test failure

SciPy Trac scipy-tickets@scipy....
Sun Feb 17 16:26:06 CST 2013


#1847: mathieu_modsem2 test failure
---------------------------+------------------------------------------------
 Reporter:  rgommers       |       Owner:  pv    
     Type:  defect         |      Status:  new   
 Priority:  normal         |   Milestone:  0.12.0
Component:  scipy.special  |     Version:  0.11.0
 Keywords:                 |  
---------------------------+------------------------------------------------
 Just saw this with Python 3.3, 320bit Linux. Not sure yet if it reproduces
 on other versions:
 {{{
 ======================================================================
 FAIL: test_mathieu_modsem2 (test_basic.TestCephes)
 ----------------------------------------------------------------------
 Traceback (most recent call last):
   File "/home/rgommers/.tox/scipy/py33/lib/python3.3/site-
 packages/numpy/testing/utils.py", line 582, in chk_same_position
     assert_array_equal(x_id, y_id)
   File "/home/rgommers/.tox/scipy/py33/lib/python3.3/site-
 packages/numpy/testing/utils.py", line 719, in assert_array_equal
     verbose=verbose, header='Arrays are not equal')
   File "/home/rgommers/.tox/scipy/py33/lib/python3.3/site-
 packages/numpy/testing/utils.py", line 645, in assert_array_compare
     raise AssertionError(msg)
 AssertionError:
 Arrays are not equal

 (mismatch 0.4761904761904816%)
  x: array([[[False, False, False, False, False, False, False],
         [False, False, False, False, False, False, False],
         [False, False, False, False, False, False, False],...
  y: array([[[False, False, False, False, False, False, False],
         [False, False, False, False, False, False, False],
         [False, False, False, False, False, False, False],...

 During handling of the above exception, another exception occurred:

 Traceback (most recent call last):
   File "/home/rgommers/.tox/scipy/py33/lib/python3.3/site-
 packages/scipy/special/tests/test_basic.py", line 445, in
 test_mathieu_modsem2
     assert_allclose(y1, y2, rtol=1e-10)
   File "/home/rgommers/.tox/scipy/py33/lib/python3.3/site-
 packages/numpy/testing/utils.py", line 1179, in assert_allclose
     verbose=verbose, header=header)
   File "/home/rgommers/.tox/scipy/py33/lib/python3.3/site-
 packages/numpy/testing/utils.py", line 608, in assert_array_compare
     chk_same_position(x_isnan, y_isnan, hasval='nan')
   File "/home/rgommers/.tox/scipy/py33/lib/python3.3/site-
 packages/numpy/testing/utils.py", line 588, in chk_same_position
     raise AssertionError(msg)
 AssertionError:
 Not equal to tolerance rtol=1e-10, atol=0

 x and y nan location mismatch:
  x: array([[[ -6.374e+00,  -7.494e+00,  -8.815e+00,  -1.037e+01,
 -1.221e+01,  -1.437e+01,
           -1.690e+01],
         [ -3.830e+00,  -4.472e+00,  -5.229e+00,  -6.116e+00,  -7.155e+00,
 -8.364e+00,...
  y: array([[[ -6.374e+00,  -7.494e+00,  -8.815e+00,  -1.037e+01,
 -1.221e+01,  -1.437e+01,
           -1.690e+01],
         [ -3.830e+00,  -4.472e+00,  -5.229e+00,  -6.116e+00,  -7.155e+00,
 -8.364e+00,...
 }}}

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1847>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list